%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}

Name:           python-xmpp
Version:        0.4.1
Release:        2%{?dist}
Summary:        Python library for easy scripting with Jabber

Group:          Development/Languages
License:        GPL
URL:            http://xmpppy.sourceforge.net/
Source0:        http://dl.sourceforge.net/xmpppy/xmpppy-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:      noarch

%if 0%{?fedora} >= 8
BuildRequires: python-setuptools-devel
%else
BuildRequires: python-setuptools
%endif

Requires:	python-dns

%description
xmpppy is a Python library that is targeted to provide easy scripting
with Jabber. Similar projects are Twisted Words and jabber.py.

This library was not designed from scratch. It inherits some code from
jabberpy and have very similar API in many places. Though it is
separate project since it have almost completely different
architecture and primarily aims to work with jabberd2 - the new Open
Source Jabber Server.

%prep
%setup -q -n xmpppy-%{version}

# strip executable permissions so that dependencies aren't picked up
# from documentation files.
find doc -type f | xargs chmod a-x

%build
CFLAGS="%{optflags}" %{__python} -c 'import setuptools; execfile("setup.py")' build

%install
rm -rf %{buildroot}
%{__python} -c 'import setuptools; execfile("setup.py")' install --skip-build --root %{buildroot}

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc ChangeLog README doc/*

%{python_sitelib}/*

%changelog
* Thu Jan  3 2008 Jeffrey C. Ollie <jeff@ocjtech.us> - 0.4.1-2
- Get eggs building correctly on F-7 and F-8.

* Thu Jan  3 2008 Jeffrey C. Ollie <jeff@ocjtech.us> - 0.4.1-1
- Update to 0.4.1.

* Thu Jan  3 2008 Jeffrey C. Ollie <jeff@ocjtech.us> - 0.4.0-3
- Change files section to pick up egg info files.

* Fri Dec  8 2006 Jeffrey C. Ollie <jeff@ocjtech.us> - 0.4.0-2
- Bump release for rebuild with Python 2.5.

* Wed Nov 22 2006 Jeffrey C. Ollie <jeff@ocjtech.us> - 0.4.0-1
- Update to 0.4.0

* Mon Aug 14 2006 Jeffrey C. Ollie <jeff@ocjtech.us> - 0.3.1-2
- Remove unneeded python_sitearch macro
- Remove unneeded python-abi requirement
- No longer ghost *.pyo files

* Fri May 26 2006 Jeffrey C. Ollie <jeff@ocjtech.us> - 0.3.1-1
- First version for Fedora Extras


